<div class="data-control-id-2426 bd-producttitle-8 bd-no-margins">
    {if isset($isCartProduct) && $isCartProduct}
        {* Cart product can be null in Ajax mode with BillionThemler themes *}
        {if isset($product)}
            <span class="quantity-formated"><span class="quantity">{$product.cart_quantity}</span>x</span>
            <a class="cart_block_product_name" href="{$link->getProductLink($product, $product.link_rewrite, $product.category, null, null, $product.id_shop, $product.id_product_attribute)}" title="{$product.name|escape:html:'UTF-8'}">
                {$product.name|truncate:25:'...':true:true|escape:html:'UTF-8'}
            </a>
        {else}
            <span class="quantity-formated"><span class="quantity"></span>x</span>
            <a class="cart_block_product_name" href="#" title="">&nbsp;</a>
        {/if}
    {else}
        {if isset($product)}
            {if isset($isViewedProduct) && $isViewedProduct}
                <a href="{$product->product_link}" title="{l s='More about'} {$product->name|escape:html:'UTF-8'}">
                    {$product->name|truncate:14:'...'|escape:html:'UTF-8'}
                </a>
            {elseif isset($isRelatedProduct) && $isRelatedProduct}
                <a href="{$link->getProductLink($product.id_product, $product.link_rewrite, $product.category, $product.ean13)}" title="{$product.name|htmlspecialchars}">{$product.name|truncate:50:'...'|escape:'htmlall':'UTF-8'}</a>
            {elseif $isProductPage} {* $page_name eq 'product' *}
                <h1>{$product->name|escape:'htmlall':'UTF-8'}</h1>
            {elseif is_object($product)}
                <a href="{$link->getProductLink($product)}" title="{$product->name|escape:'htmlall':'UTF-8'}">
                    {$product->name|escape:'htmlall':'UTF-8'|truncate:35:'...'}
                </a>
            {else}
                {if version_compare($smarty.const._PS_VERSION_,'1.6','<')}
                    <a href="{$product.link|escape:'htmlall':'UTF-8'}" title="{$product.name|escape:'htmlall':'UTF-8'}">{$product.name|escape:'htmlall':'UTF-8'|truncate:35:'...'}</a>
                {else}
                    {if isset($product.pack_quantity) && $product.pack_quantity}{$product.pack_quantity|intval|cat:' x '}{/if}
                    <a class="product-name" href="{$product.link|escape:'html':'UTF-8'}" title="{$product.name|escape:'html':'UTF-8'}" itemprop="url" >{$product.name|truncate:45:'...'|escape:'html':'UTF-8'}</a>
                {/if}
            {/if}
        {/if}
    {/if}
</div>